Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.agentmark.co/v1/api-keys \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Agentmark-App-Id: <api-key>' \ --data ' { "name": "<string>", "app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "environment_name": "<string>", "permissions": [] } '
{ "data": { "app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "id": "<string>", "name": "<string>", "permissions": [ "<string>" ], "plaintext_key": "<string>", "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "expires_at": "2023-11-07T05:31:56Z", "key_prefix": "<string>", "last_used_at": "2023-11-07T05:31:56Z", "revoked_at": "2023-11-07T05:31:56Z" } }
Creates a new API key. The plaintext key is returned EXACTLY ONCE in data.plaintext_key — record it immediately. Subsequent reads expose only metadata.
data.plaintext_key
Application ID for tenant scoping
API key (sk_agentmark_*)
1 - 255
Name of the environment to bind the new key to (e.g. "production"). Defaults to the app's default environment.
API key created.
Show child attributes
Was this page helpful?